Result (Apache Geode 1.15.4)

org.apache.geode.management.cli

## Interface Result

-     public interface Result

  The result of processing a GemFire Command Line Interface (CLI) command string. A string representation of this Result can be iterated over using the methods `hasNextLine()`, `nextLine()` and `resetToFirstLine()`. A Result may have one or more files as part of the command output and if so they can be saved to the file system using `saveIncomingFiles(String)`. To check whether the result has a file in it use `hasIncomingFiles()`.
  Since:
    GemFire 7.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Result.Status` Indicates a Results status.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default String` | `asString()`
    `default boolean` | `failedToPersist()` Deprecated. since 1.10. This only affect the gfsh output line which is not api bound
    `Result.Status` | `getStatus()` Returns the status of a processed command.
    `default boolean` | `hasIncomingFiles()` Deprecated. since 1.10. file transfer in plugin commands is never supported
    `boolean` | `hasNextLine()` Returns whether the result has any more lines of information.
    `String` | `nextLine()` Returns the next line of information from the Result.
    `void` | `resetToFirstLine()` Resets the pointer to the first line in the Result.
    `default void` | `saveIncomingFiles(String directory)` Deprecated. since 1.10. file transfer in plugin commands is never supported
    `default void` | `setCommandPersisted(boolean commandPersisted)` Deprecated. since 1.10. This only affect the gfsh output line which is not api bound

- - ### Method Detail

    - #### getStatus

          Result.Status getStatus()

      Returns the status of a processed command.
      Returns:
        the status of a processed command

    - #### resetToFirstLine

          void resetToFirstLine()

      Resets the pointer to the first line in the Result.

    - #### hasNextLine

          boolean hasNextLine()

      Returns whether the result has any more lines of information.
      Returns:
        True if there are more lines, false otherwise.

    - #### nextLine

          String nextLine()

      Returns the next line of information from the Result.
      Returns:
        the next line of information from the Result
      Throws:
        `IndexOutOfBoundsException` - if this method is called more times than there are lines of information.

    - #### hasIncomingFiles

          @Deprecated
          default boolean hasIncomingFiles()

      Deprecated. since 1.10. file transfer in plugin commands is never supported
      Returns whether this Result has a file as a part of the command output.
      Returns:
        True if there is a file, false otherwise.

    - #### saveIncomingFiles

          @Deprecated
          default void saveIncomingFiles(String directory)
                                              throws IOException

      Deprecated. since 1.10. file transfer in plugin commands is never supported
      Save the file(s) from this Result. `hasIncomingFiles()` should be used before calling this method to verify that the Result contains a file.
      Parameters:
        `directory` - Directory to which the file(s) should be saved.
      Throws:
        `IOException` - If an error occurs while saving the file.
        `RuntimeException` - If there is no file in the Result to save.

    - #### failedToPersist

          @Deprecated
          default boolean failedToPersist()

      Deprecated. since 1.10. This only affect the gfsh output line which is not api bound
      Return whether the configuration changes due to command have been persisted to cluster configuration or not.
      Returns:
        True if the command has failed to persist configuration changes , false otherwise.

    - #### setCommandPersisted

          @Deprecated
          default void setCommandPersisted(boolean commandPersisted)

      Deprecated. since 1.10. This only affect the gfsh output line which is not api bound
      Sets whether the command changes have not been persisted to the cluster configuration
      Parameters:
        `commandPersisted` - true if the command changes are persisted to the cluster configuration, false otherwise.

    - #### asString

          default String asString()

      Returns:
        the string representation of the result with the specified line separator.